---
title: Get crawl result.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Browser Rendering](https://developers.cloudflare.com/api/go/resources/browser_rendering)

[Crawl](https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get crawl result.

client.BrowserRendering.Crawl.Get(ctx, jobID, params) (\*[CrawlGetResponse](<https://developers.cloudflare.com/api/go/resources/browser_rendering#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/browser-rendering/crawl/{job\_id}

Returns the result of a crawl job.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Browser Rendering Write``Browser Rendering Read`

##### ParametersExpand Collapse

jobID string

Crawl job ID.

minLength1

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20job_id%20%3E%20(schema)>)

<details>

<summary>

params CrawlGetParams

</summary>

AccountID param.Field\[string]

Path param: Account ID.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

CacheTTL param.Field\[float64]Optional

Query param: Cache TTL default is 5s. Set to 0 to disable.

maximum86400

minimum0

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20cacheTTL">Link to this property</a>

Cursor param.Field\[float64]Optional

Query param: Cursor for pagination.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20cursor">Link to this property</a>

Limit param.Field\[float64]Optional

Query param: Limit for pagination.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20limit">Link to this property</a>

<details>

<summary>

Status param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a>]Optional

Query param: Filter by URL status.

</summary>

const CrawlGetParamsStatusQueued <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "queued"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const CrawlGetParamsStatusErrored <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "errored"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const CrawlGetParamsStatusCompleted <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "completed"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const CrawlGetParamsStatusDisallowed <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "disallowed"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const CrawlGetParamsStatusSkipped <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "skipped"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const CrawlGetParamsStatusCancelled <a href="https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/crawl/methods/get#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)">CrawlGetParamsStatus</a> = "cancelled"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20status">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CrawlGetResponse struct{…}

</summary>

ID string

Crawl job ID.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

BrowserSecondsUsed float64

Total seconds spent in browser so far.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20browserSecondsUsed">Link to this property</a>

Finished float64

Total number of URLs that have been crawled so far.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20finished">Link to this property</a>

<details>

<summary>

Records \[]CrawlGetResponseRecord

List of crawl job records.

</summary>

<details>

<summary>

Status CrawlGetResponseRecordsStatus

Current status of the crawled URL.

</summary>

One of the following:

const CrawlGetResponseRecordsStatusQueued CrawlGetResponseRecordsStatus = "queued"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const CrawlGetResponseRecordsStatusErrored CrawlGetResponseRecordsStatus = "errored"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const CrawlGetResponseRecordsStatusCompleted CrawlGetResponseRecordsStatus = "completed"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const CrawlGetResponseRecordsStatusDisallowed CrawlGetResponseRecordsStatus = "disallowed"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

const CrawlGetResponseRecordsStatusSkipped CrawlGetResponseRecordsStatus = "skipped"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

const CrawlGetResponseRecordsStatusCancelled CrawlGetResponseRecordsStatus = "cancelled"

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

URL string

Crawled URL.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

HTML stringOptional

HTML content of the crawled URL.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20html">Link to this property</a>

Json map\[string, unknown]Optional

JSON of the content of the crawled URL.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20json">Link to this property</a>

Markdown stringOptional

Markdown of the content of the crawled URL.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20markdown">Link to this property</a>

<details>

<summary>

Metadata CrawlGetResponseRecordsMetadataOptional

Absent for urls that never reached a fetch.

</summary>

Status float64

HTTP status code of the crawled page.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20metadata%20%3E%20(property)%20status">Link to this property</a>

URL string

Final URL of the crawled page.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20metadata%20%3E%20(property)%20url">Link to this property</a>

Title stringOptional

Title of the crawled page.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20metadata%20%3E%20(property)%20title">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records%20%3E%20(items)%20%3E%20(property)%20metadata">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20records">Link to this property</a>

Skipped float64

Total number of URLs that were skipped due to include/exclude/subdomain filters. Skipped URLs are included in records but are not counted toward total/finished.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20skipped">Link to this property</a>

Status string

Current crawl job status.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

Total float64

Total current number of URLs in the crawl job.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20total">Link to this property</a>

Cursor stringOptional

Cursor for pagination.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)%20%3E%20(property)%20cursor">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(model)%20CrawlGetResponse%20%3E%20(schema)>)

### Get crawl result.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  crawl, err := client.BrowserRendering.Crawl.Get(
    context.TODO(),
    "x",
    browser_rendering.CrawlGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", crawl.ID)
}
```

200 example

```
{
  "result": {
    "id": "id",
    "browserSecondsUsed": 0,
    "finished": 0,
    "records": [
      {
        "status": "queued",
        "url": "url",
        "html": "html",
        "json": {
          "foo": {}
        },
        "markdown": "markdown",
        "metadata": {
          "status": 0,
          "url": "url",
          "title": "title"
        }
      }
    ],
    "skipped": 0,
    "status": "status",
    "total": 0,
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "id",
    "browserSecondsUsed": 0,
    "finished": 0,
    "records": [
      {
        "status": "queued",
        "url": "url",
        "html": "html",
        "json": {
          "foo": {}
        },
        "markdown": "markdown",
        "metadata": {
          "status": 0,
          "url": "url",
          "title": "title"
        }
      }
    ],
    "skipped": 0,
    "status": "status",
    "total": 0,
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```